#32/64
%define oname fMSX

%define oversion %(echo %{version} | tr -d .)

Summary:	MSX Emulator
Name:		fmsx
Version:	4.4
Release:	%mkrel 1
License:	Freeware
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
Url:		http://fms.komkon.org/fMSX/
Source0:	%{oname}%{oversion}.tar.xz
Source1:	%{name}.png
Patch0:		fMSX44-optflags.patch
Patch1:		fMSX44-rpmlint.patch
Patch2:		fMSX44-datapath.patch
BuildRequires:	ImageMagick
BuildRequires:	%{_lib}pulseaudio-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	%{_lib}xext-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description
MSX Emulator.



#----------------------------------------------------------------------------

%prep
%setup -qc
%patch0 -p0
%patch1 -p0
%patch2 -p0



%build
cd fMSX/Unix
%make

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 fMSX/Unix/fmsx %{buildroot}%{_gamesbindir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 fMSX/ROMs/* %{buildroot}%{_gamesdatadir}/%{name}/

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=fMSX
Comment=MSX emulator
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

# install menu icons
for N in 16 32 48 64 128 256;
do
convert %{SOURCE1} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc fMSX/fMSX.html
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%changelog
* Mon Jan 18 2016 Agent Smith  <ruidobranco@yahoo.com.br> 4.4-1pclos2016
- Created the package fMSX, with latest sources.

